Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Problem installing from CPAN #71

Closed
veripoolbot opened this issue Mar 17, 2009 · 2 comments
Closed

Problem installing from CPAN #71

veripoolbot opened this issue Mar 17, 2009 · 2 comments
Assignees

Comments

@veripoolbot
Copy link
Collaborator

@veripoolbot veripoolbot commented Mar 17, 2009


Author Name: daniel schwartz-narbonne
Original Redmine Issue: 71 from https://www.veripool.org
Original Date: 2009-03-17
Original Assignee: Wilson Snyder (@wsnyder)


I tried installing perl-verilog from cpan, but a number of tests fail.
My perl version is
{{{
~ $ perl -v

This is perl, v5.8.9 built for darwin-2level

Copyright 1987-2008, Larry Wall

Perl may be copied only under the terms of either the Artistic License or the
GNU General Public License, which may be found in the Perl 5 source kit.

Complete documentation for Perl, including FAQ lists, should be found on
this system using "man perl" or "perldoc perl". If you have access to the
Internet, point your browser at http://www.perl.org/, the Perl Home Page.
}}}
and my computer is
{{{
~ $ uname -a
Darwin <my_computer_name> 9.6.0 Darwin Kernel Version 9.6.0: Mon Nov 24 17:37:00 PST 2008; root:xnu-1228.9.59~1/RELEASE_I386 i386

}}}

@veripoolbot

This comment has been minimized.

Copy link
Collaborator Author

@veripoolbot veripoolbot commented Mar 17, 2009


Original Redmine Comment
Author Name: Wilson Snyder (@wsnyder)
Original Date: 2009-03-17T20:25:43Z


Try googling __ZTVN10__cxxabiv117__class_type_infoE

This suggests your linker doesn't match the compiler, and or they don't match what perl was compiled with...

Compile:
g++ -c -fno-common

Link:
env MACOSX_DEPLOYMENT_TARGET=10.3 /usr/bin/gcc-4.0 -L/opt/local/lib -bundle -undefined dynamic_lookup -L/usr/local/lib VFileLine.o VPreproc.o VPreprocLex.o -o ../blib/arch/auto/Verilog/Preproc/Preproc.bundle Preproc_cleaned.o \

Two things seem odd, first you should link with g++. Second it seems odd that g++ doesn't specify a version while gcc-4.0 does.

All of this comes from the "perl -V" cc+ld information lines, with some edits applied in Makefile.PL. Try tuning the Makefile.PL or manually making the linker match the compiler and let me know so I can help the next person with this, thanks.

@veripoolbot

This comment has been minimized.

Copy link
Collaborator Author

@veripoolbot veripoolbot commented Apr 28, 2009


Original Redmine Comment
Author Name: Wilson Snyder (@wsnyder)
Original Date: 2009-04-28T13:22:29Z


Closing - no response so assume ok.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
Linked pull requests

Successfully merging a pull request may close this issue.

None yet
2 participants
You can’t perform that action at this time.